#include "libspc.h"
#include "pluginproto.h"

static void *getplugin(void **data, const char *name, const char *header, uint32 size, plugin_info *);
void destroyplugin(void *, void*);
static int32 read(void *, char *buf, ulong count);
static status_t info(void *_spc, file_info *info);


class SpcPlugin
{
public:

	SpcPlugin(const char *path);
	~SpcPlugin();
	int32 Read(char *buf, ulong numframes);
	uint32 size;
	
};